package com.sinosig.core.module.domain;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.math.BigInteger;
import java.util.HashMap;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import java.io.Serializable;

/**
 * 实体[数据字典]
 */
public class SJZD implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 更新时间 属性
     */
    private Timestamp UpdateDate;

    @JsonIgnore
    private boolean UpdateDateDirtyFlag;

    /**
     * 更新人 属性
     */
    private String UpdateMan;

    @JsonIgnore
    private boolean UpdateManDirtyFlag;

    /**
     * 数据字典名称 属性
     */
    private String SJZDName;

    @JsonIgnore
    private boolean SJZDNameDirtyFlag;

    /**
     * 数据字典标识 属性
     */
    private String SJZDId;

    @JsonIgnore
    private boolean SJZDIdDirtyFlag;

    /**
     * 编号 属性
     */
    private String Bh;

    @JsonIgnore
    private boolean BhDirtyFlag;

    /**
     * 建立人 属性
     */
    private String CreateMan;

    @JsonIgnore
    private boolean CreateManDirtyFlag;

    /**
     * 建立时间 属性
     */
    private Timestamp CreateDate;

    @JsonIgnore
    private boolean CreateDateDirtyFlag;


    /**
     * 获取 [更新时间]
     */
    public Timestamp getUpdateDate(){
        return UpdateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    public void setUpdateDate(Timestamp  updateDate){
        this.UpdateDate = updateDate ;
        this.UpdateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return UpdateDateDirtyFlag ;
    }
    /**
     * 获取 [更新人]
     */
    public String getUpdateMan(){
        return UpdateMan ;
    }

    /**
     * 设置 [更新人]
     */
    public void setUpdateMan(String  updateMan){
        this.UpdateMan = updateMan ;
        this.UpdateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return UpdateManDirtyFlag ;
    }
    /**
     * 获取 [数据字典名称]
     */
    public String getSJZDName(){
        return SJZDName ;
    }

    /**
     * 设置 [数据字典名称]
     */
    public void setSJZDName(String  sJZDName){
        this.SJZDName = sJZDName ;
        this.SJZDNameDirtyFlag = true ;
    }

    /**
     * 获取 [数据字典名称]脏标记
     */
    @JsonIgnore
    public boolean getSJZDNameDirtyFlag(){
        return SJZDNameDirtyFlag ;
    }
    /**
     * 获取 [数据字典标识]
     */
    public String getSJZDId(){
        return SJZDId ;
    }

    /**
     * 设置 [数据字典标识]
     */
    public void setSJZDId(String  sJZDId){
        this.SJZDId = sJZDId ;
        this.SJZDIdDirtyFlag = true ;
    }

    /**
     * 获取 [数据字典标识]脏标记
     */
    @JsonIgnore
    public boolean getSJZDIdDirtyFlag(){
        return SJZDIdDirtyFlag ;
    }
    /**
     * 获取 [编号]
     */
    public String getBh(){
        return Bh ;
    }

    /**
     * 设置 [编号]
     */
    public void setBh(String  bh){
        this.Bh = bh ;
        this.BhDirtyFlag = true ;
    }

    /**
     * 获取 [编号]脏标记
     */
    @JsonIgnore
    public boolean getBhDirtyFlag(){
        return BhDirtyFlag ;
    }
    /**
     * 获取 [建立人]
     */
    public String getCreateMan(){
        return CreateMan ;
    }

    /**
     * 设置 [建立人]
     */
    public void setCreateMan(String  createMan){
        this.CreateMan = createMan ;
        this.CreateManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return CreateManDirtyFlag ;
    }
    /**
     * 获取 [建立时间]
     */
    public Timestamp getCreateDate(){
        return CreateDate ;
    }

    /**
     * 设置 [建立时间]
     */
    public void setCreateDate(Timestamp  createDate){
        this.CreateDate = createDate ;
        this.CreateDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return CreateDateDirtyFlag ;
    }
}

